.picture-with-options {
  max-width: 100%;
  width: 100%;
  height: 100%;
  position: relative;
  overflow: hidden;

  img {
    width: 100%;
  }

  &.size-fill {
    .picture-bg,
    .picture-hash-container {
      height: 100%;
    }
  }

  .picture-bg,
  .picture-hash-container {
    width: 100%;
  }

  .picture-hash-container {
    overflow: hidden;
    position: absolute;
    opacity: 1;
    transition: 0.5s ease-in-out opacity;
  }

  &.loaded .picture-hash-container {
    opacity: 0;
  }

  .picture-bg {
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
  }
}
